Subject: bug#772: 23.0.60; cannot open multiple TTY frames using emacsclient -t

From: Yoshiaki Kasahara <[email-masked]>
Date: Mon, 25 Aug 2008 22:14:25 +0900 (JST)

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I cannot open multiple TTY frames of an Emacs instance now.  I usually
open two Emacs frames inside a 'screen' session using emacsclient -t,
but it is not working now.

When I try to open the second frame in a different tty, the first
frame on the first tty shows *scratch* buffer.  Nothing happens on the
second tty.  When I kill the second emacsclient, the first client dies
together.

I'm not sure when the symptom (or functional change?) started to
occur, because I hadn't updated my source tree for about a month.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.2 (x86_64-unknown-freebsd7.0, GTK+ Version 2.12.11)
 of 2008-08-25 on elvenbow.cc.kyushu-u.ac.jp
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--without-xim''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: C
  value of $LANG: ja_JP.eucJP
  value of $XMODIFIERS: @im=uim
  locale-coding-system: japanese-iso-8bit-unix
  default-enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  show-paren-mode: t
  savehist-mode: t
  iswitchb-mode: t
  icomplete-mode: t
  desktop-save-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t